summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-07-06 11:09:27 +0200
committerHolger Levsen <holger@layer-acht.org>2016-07-06 11:09:27 +0200
commit851817c6cd83c6b431e2a30b75c0e1edf8ef1712 (patch)
treed63b47b50eaf2de58515a180673c9767ff0cc811 /bin/chroot-installation.sh
parent02ccd8197bbba77dc56dea25ab08964632b66ac3 (diff)
downloadjenkins.debian.net-851817c6cd83c6b431e2a30b75c0e1edf8ef1712.tar.xz
detect another kind of network issue: 503
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 097a2968..36c2958b 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012-2015 Holger Levsen <holger@layer-acht.org>
+# Copyright 2012-2016 Holger Levsen <holger@layer-acht.org>
# released under the GPLv=2
DEBUG=true
@@ -56,7 +56,7 @@ execute_ctmpfile() {
(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) || true
RESULT=$(grep "xxxxxSUCCESSxxxxx" $TMPLOG || true)
if [ -z "$RESULT" ] ; then
- RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)" $TMPLOG || true)
+ RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable)" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "$(date -u) - Warning: Network problem detected."